#ifndef ENEMY_H
#define ENEMY_H

#include "entity.h"

class CEnemy : public IMovableEntity
{
    public:
    CEnemy();
    virtual ~CEnemy();

    void Init( CSprite* sprite ) {m_Sprite = sprite; m_X = m_Y = m_XVel = 0; m_YVel = 300;}

    int m_HP;

    void Update( int deltaT );
    void Draw( SDL_Surface* screen );

};

#endif // ENEMY_H
